<!-- Large modal -->
<!-- un-install angular2-multiselect 
server down error
submit message
-->
<!-- <img src="../../../assets/Images/loading.gif" style="width:2em;" /> -->
<div class="container">
  <div class="row">
    <div class="col-md-12">
      <!-- <form *ngIf="!switchForm" class="p-3 mt-4 bg-white text-dark rounded" (ngSubmit)="onPwdSubmit(authForm)" #authForm="ngForm" > 
        <div class="modal-header">
          <h4 class="modal-title">Credentials</h4>
        </div>
        <div class="modal-body">
          <div class="form-group row">
            <label for="staticEmail" class="col-lg-3 col-form-label">Pin Code:</label>
            <div class="col-lg-9">
              <div class="input-group mb-3">
                <input type="password" name="pincode" class="form-control" placeholder="Enter pin code" ngModel required/>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" [disabled]="!authForm.valid" class="btn btn-primary">Submit</button>
        </div>
      </form> -->
     
      <form (ngSubmit)="onSubmit(f)" #f="ngForm" class="p-3 mt-4 bg-white text-dark rounded">
        <div class="modal-header">
          <h4 class="modal-title">Change Status </h4>
        </div>
        <div class="modal-body">
          <div>
            <!-- Warning msg -->
            <div class="alert alert-warning" *ngIf="editFormWarningError">
              <strong>Warning!</strong> {{editFormWarningError}}
            </div>
            <!-- End warning msg -->
            <!-- Error msg -->
            <div class="alert alert-danger" *ngIf="editFormServerError">
              <strong>Error!</strong> {{editFormServerError}}
            </div>
            <!-- End Error msg -->
            <!-- Success msg -->
            <div class="alert alert-success" *ngIf="formSuccessfulMsg">
              <strong>Success!</strong> {{formSuccessfulMsg}}
            </div>
            <!-- End success msg -->
            <!-- <div class="form-group row">
              <label for="PinCode" class="col-lg-3 col-form-label">Pin Code:</label>
              <div class="col-lg-9">
                <div class="input-group mb-3">
                  <input type="password" name="pincode" class="form-control" placeholder="Enter pin code" ngModel required/>
                </div>
              </div>
            </div> -->
            <div class="form-group row">
              <label for="ApplicationName" class="col-lg-3 col-form-label">Application Name</label>
              <div class="col-lg-9">
                <div class="input-group mb-3">
                  <select class="custom-select" id="inputGroupSelect01" (change)="onSelectApplication($event.target.value)" name="appId" required
                    ngModel>
                    <option value="0" selected>Select application name</option>
                    <option *ngFor="let appInfo of applicationNameWithID" value="{{appInfo.appId}}">{{appInfo.name | filterApplicationName:filterStatus:'appInfo.name'}}</option>
                  </select>
                </div>
              </div>
            </div>
            <div class="form-group row">
              <label for="Status" class="col-lg-3 col-form-label">Status</label>
              <div class="col-lg-9">
                <label class="rad mr-3">
                  <input type="radio" name="statusId" value="1" (click)="onSelectStatus(statusDetails)" ngModel #statusDetails />
                  <i></i> Normal
                </label>
                <label class="rad mr-3">
                  <input type="radio" name="statusId" value="2" (click)="onSelectStatus(statusLimited)" ngModel #statusLimited />
                  <i></i> Limited
                </label>
                <label class="rad mr-3">
                  <input type="radio" name="statusId" value="3" (click)="onSelectStatus(statusUnavailable)" ngModel #statusUnavailable />
                  <i></i> Unavailable
                </label>
              </div>
            </div>

            <div class="form-group row" ngModelGroup="cannedMessages" #cannedMessages="ngModelGroup" *ngFor="let arr of reasonListSelected; index as i">
              <label for="inputPassword" class="col-lg-3 col-form-label">
                <span *ngIf="i==0">Description</span>
              </label>
              <div class="col-lg-9">
                <div class="input-group mb-3">
                    <label class="containerCheck">
                      <div [innerHTML]="arr.message"></div>
                    <input type="checkbox" name="{{arr.id}}" [(ngModel)]="arr.selected">
                    <span class="checkmark"></span>
                  </label>
                </div>
              </div>
            </div>
            <div class="form-group row">
              <label for="Comment" class="col-lg-3 col-form-label">Comment</label>
              <div class="col-lg-9">
                <textarea class="form-control col-lg-12" rows="3" name="customMessage" maxlength="400" ngModel #customMessageRef></textarea>
                <p class="float-right mb-0">
                  <em style="font-size: 0.8em;">{{400-customMessageRef.value.length}} characters remaining.</em>
                </p>
              </div>
            </div>
            <!--             
                <div class="form-group row">
                  <label for="staticEmail" class="col-lg-3 col-form-label">Maintenance Schedule</label>
                  <div class="col-lg-9">
                    <div class="row justify-content-start">
                      <div class="col-4">
                        <label class="containerCheck">Now
                          <input type="checkbox">
                          <span class="checkmark"></span>
                        </label>
                      </div>
                      <div class="col-8">
                        <span class="col-2" style="font-size:larger;">At: </span>
                        <input type="date" class="col-10 form-control float-right" aria-describedby="emailHelp" placeholder="">
                      </div>
                    </div>
                  </div>
                </div> 
                -->

            <div class="form-group row">
              <label for="MaintenanceInfo" class="col-lg-3 col-form-label">Maintenance Info</label>
              <div class="col-lg-9">
                <textarea class="form-control col-lg-12" rows="3" maxlength="400" name="maintMessage" ngModel #maintMessageRef></textarea>
                <p class="float-right mb-0">
                  <em style="font-size: 0.8em;">{{400-maintMessageRef.value.length}} characters remaining.</em>
                </p>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" [disabled]="!f.valid" class="btn btn-primary">Submit</button>
        </div>
      </form>
    </div>
  </div>
</div>
<!-- <span class="editBtnStyle" data-toggle="modal" (click)="closeForm(f)" data-target="#myModal">
  <span class="editImageStyle"></span> Edit service
</span> -->

<!-- The Modal -->
<!-- <div class="modal fade" id="myModal">
  <div class="modal-dialog modal-lg">
    <div class="modal-content"> -->

<!-- End pin -->
<!-- <angular2-multiselect style="width:100%" [data]="appNameDropdownList" [(ngModel)]="appNameSelectedItems" name="appNameSelect"
                        [settings]="appNameDropdownSettings" (onSelect)="onAppNameItemSelect($event)" (onDeSelect)="OnAppNameItemDeSelect($event)"></angular2-multiselect> -->
<!-- <div class="form-group row">
          <label for="staticEmail" class="col-lg-3 col-form-label">Enter PIN</label>
          <div class="col-lg-9">
            <div class="input-group mb-3">
              <input type="text" class="form-control" placeholder="PIN" [(ngModel)]="pinCode" />
            </div>
          </div>
        </div>
        pin- {{pinCode}} -->
<!-- End pin -->


<!-- </div>
  </div>
</div> -->